VisualEditor: Cursor cannot move past references (or other nodes) when using arrow keys
Closed, ResolvedPublic

Description

Author: swalling

Description:
Steps to reproduce:

  1. Place your cursor in page text.
  2. Navigate through the text with left-right arrow keys, until you get to a reference
  3. When the ref tool popup appears, you cannot move past it with arrow keys.

Version: unspecified
Severity: major

bzimport set Reference to bz54443.
bzimport created this task.Via LegacySep 21 2013, 11:40 PM
Amire80 added a comment.Via ConduitSep 24 2013, 4:20 AM

Updating priority to normal. Inability to move the cursor using arrows is definitely a bug.

Esanders added a comment.Via ConduitSep 26 2013, 1:10 PM

The events from the pasteTarget (which has focus when a focusableNode is selected) are not getting through to the document listener.

Jdforrester-WMF added a comment.Via ConduitSep 27 2013, 11:57 PM
  • Bug 54722 has been marked as a duplicate of this bug. ***
gerritbot added a comment.Via ConduitOct 1 2013, 1:13 AM

Change 86788 had a related patch set uploaded by Catrope:
Make cursoring over a FocusableNode work again

https://gerrit.wikimedia.org/r/86788

gerritbot added a comment.Via ConduitOct 1 2013, 2:24 AM

Change 86788 merged by jenkins-bot:
Make cursoring over a FocusableNode work again

https://gerrit.wikimedia.org/r/86788

gerritbot added a comment.Via ConduitOct 1 2013, 2:25 AM

Change 86800 had a related patch set uploaded by Jforrester:
Make cursoring over a FocusableNode work again

https://gerrit.wikimedia.org/r/86800

gerritbot added a comment.Via ConduitOct 1 2013, 2:25 AM

Change 86801 had a related patch set uploaded by Jforrester:
Make cursoring over a FocusableNode work again

https://gerrit.wikimedia.org/r/86801

Jdforrester-WMF added a comment.Via ConduitOct 1 2013, 2:26 AM

Merged into master; we'll back-port and deploy tomorrow.

gerritbot added a comment.Via ConduitOct 1 2013, 11:05 PM

Change 86800 merged by Catrope:
Make cursoring over a FocusableNode work again

https://gerrit.wikimedia.org/r/86800

gerritbot added a comment.Via ConduitOct 1 2013, 11:05 PM

Change 86801 merged by Catrope:
Make cursoring over a FocusableNode work again

https://gerrit.wikimedia.org/r/86801

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.